getResources
Returns a list of all FHIR resources of type resourceType from a patient's health care record, matching the given search parameters.
Searching across multiple patients is not allowed - the patient search parameter is required.
You must either be the patient, or an organization that the patient has consented to sharing data with.
| Path Parameters |
|---|
resourceType string — REQUIRED |
| Query Parameters |
|---|
patient string — REQUIREDThe HealthEx ID of the patient to search for resources from. |
_source stringComma-separated list of source names to include data from. Source names must match exactly. If not provided, data from all sources will be included. |
_lastUpdated stringOnly include records updated since the given instant. The format is a FHIR instant (e.g. 2026-02-27T12:00:00Z). See https://fhir.hl7.org/fhir/datatypes.html#instant |
_id stringOptional. When provided, returns only the resource(s) with the given FHIR resource ID(s). Comma-separated for multiple IDs. If omitted, a search is performed using the other query parameters. |
_count numberThe maximum number of records to return at a time. Supply this parameter and follow 'next' links in the returned bundle to get the next page of results. |
_offset numberWhich record to start the page with. You normally will not need to set this yourself - it will be included in the 'next' link in the returned bundle. |
attachment-text:contains stringOnly applicable for DocumentReference or DiagnosticReport. Only includes records whose clinical note text (the attachement) contains the given text. |
attachment-text:semantic stringOnly applicable for DocumentReference or DiagnosticReport. Similar to |
| Responses |
|---|
200FHIR bundle containing FHIR resources of type |